import { CometChat } from '@cometchat/chat-sdk-react-native';
export declare class CommonUtils {
    static clone<T extends any>(arg: T): T;
    static getComponentIdFromMessage(message: CometChat.BaseMessage): Object;
    static checkIdBelongsToThisComponent(id: any, user: CometChat.User, group: CometChat.Group, parentMessageId: string | number): boolean;
}
